E-MailRelay

Public Attributes | List of all members
GSmtp::Verifier::Request Struct Reference

Verification request passed to various GSmtp::Verifier::verify() overrides. More...

`#include <gverifier.h>`

Collaboration diagram for GSmtp::Verifier::Request:
[legend]

## Public Attributes
Command | command {Command::RCPT}
std::string | raw_address
std::string | address
std::string | from_address
G::BasicAddress | client_ip
std::string | auth_mechanism
std::string | auth_extra

## Detailed Description

Verification request passed to various GSmtp::Verifier::verify() overrides.

Definition at line 46 of file gverifier.h.

## Member Data Documentation

## ◆ address

std::string GSmtp::Verifier::Request::address

Definition at line 50 of file gverifier.h.

## ◆ auth_extra

std::string GSmtp::Verifier::Request::auth_extra

Definition at line 54 of file gverifier.h.

## ◆ auth_mechanism

std::string GSmtp::Verifier::Request::auth_mechanism

Definition at line 53 of file gverifier.h.

## ◆ client_ip

G::BasicAddress GSmtp::Verifier::Request::client_ip

Definition at line 52 of file gverifier.h.

## ◆ command

Command GSmtp::Verifier::Request::command {Command::RCPT}

Definition at line 48 of file gverifier.h.

## ◆ from_address

std::string GSmtp::Verifier::Request::from_address

Definition at line 51 of file gverifier.h.

## ◆ raw_address

std::string GSmtp::Verifier::Request::raw_address

Definition at line 49 of file gverifier.h.

The documentation for this struct was generated from the following file:

- /tmp/slackdce/slackrepo.HKsbdz/build_emailrelay/emailrelay-2.6/src/gsmtp/gverifier.h